/*********************************************************************************************************
 * 프로그램명 : Report.java 프로그램설명 : 프로젝트와 관련된 정보를 얻을수 있는 class 작성자 : 강원중 작성일 : 2003.11.30 변경일 : 2003.12.13
 **********************************************************************************************************/

package kr.co.kihyun.moumi.report;

import kr.co.kihyun.lang.MString;
import kr.co.kihyun.moumi.Moumi;

public class SaveReport {

	public static String getTitle(String docName, Long repDocID, String deptName, String userName, String regDate,
			String viewFileName) {

		StringBuffer strbuf = new StringBuffer();
		strbuf.append("<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n");
		strbuf.append("	<tr>\n");
		strbuf.append("		<td height=25>\n");
		strbuf.append("		<font size=2 color=orange face=\"굴림\"><b>"
				+ Moumi.getMessageBundle().getString("moumi.message.tot_doc") + "명 : </b></font>\n");
		strbuf.append("		<font size=2 color=#000000 face=\"굴림\"><b>");
		strbuf.append(docName);
		strbuf.append("</b></font>\n");
		strbuf.append("		<font size=2 color=orange face=\"굴림\"><b>");
		strbuf.append("[");
		strbuf.append(repDocID);
		strbuf.append("]");
		strbuf.append("</b></font></td>\n");
		strbuf.append("		<td  align=right valign=bottom><font size=3></td> \n");
		strbuf.append("	</tr>\n");
		strbuf.append("	<tr width=\"100%\"><td height=2 bgcolor=#FFFFFF colspan=3></td></tr>\n");
		strbuf.append("</table>\n");
		strbuf.append("<table border=0 width=100% bgcolor='#FFFFFF' cellspacing=\"0\" cellpadding=\"0\">\n");
		strbuf.append("	<tr width=\"100%\"><td height=1 bgcolor=#CCCCCC colspan=3></td></tr>\n");
		strbuf.append("	<tr width=\"100%\"><td height=2 bgcolor=#FFFFFF colspan=3></td></tr>\n");
		strbuf.append("	<tr width=\"100%\"><td height=1 bgcolor=#CCCCCC colspan=3></td></tr>\n");
		strbuf.append("	<tr>\n");
		strbuf.append("		<td>\n");
		strbuf.append("		<b>기관/부서명 : </b>\n");
		strbuf.append(deptName);
		strbuf.append("		</td>\n");
		strbuf.append("		<td  align=right valign=bottom><font size=3></td> \n");
		strbuf.append("	</tr>\n");
		strbuf.append("	<tr width=\"100%\">\n");
		strbuf.append("		<td width=280 valign=top>\n");
		strbuf.append("			<b>보 고 자 : </b>");
		strbuf.append(userName);
		strbuf.append("</a><br>\n");
		strbuf.append("			<b>제출시각 : </b>");
		strbuf.append(regDate);
		strbuf.append("<br>\n");
		if (MString.isNull(viewFileName)) {
			strbuf.append("			<b>첨부파일 : </b>없음\n");
		} else {
			strbuf.append("			<b>첨부파일 : </b>");
			strbuf.append(viewFileName);
			strbuf.append("\n");
		}
		strbuf.append("		</td>				\n");
		strbuf.append("		<td align=right>&nbsp;</td>				\n");
		strbuf.append("	</tr>\n");
		strbuf.append("	<tr nowrap width=\"100%\"><td height=2 bgcolor=#FFFFFF colspan=3></td></tr>\n");
		strbuf.append("	<tr nowrap width=\"100%\"><td height=1 bgcolor=#CCCCCC colspan=3></td></tr>\n");
		strbuf.append("	<tr nowrap width=\"100%\"><td height=5 bgcolor=#FFFFFF colspan=3></td></tr>\n");
		strbuf.append("</table>\n");
		return strbuf.toString();
	}
}
